Classes | Typedefs | Functions | Variables
Structures
BLE Services » Electronic Shelf Label Service (ESLS) | BLE Services » Shelf Label AP Client (ESLS_C)

## Classes
struct | esls_ap_sync_param_t
| Electronic Shelf Label Service sync parameter format. More...
struct | esls_display_arr_t
| Electronic Shelf Label Service display information data. More...
struct | esls_sensor_arr_t
| Electronic Shelf Label Service sensor information data. More...
struct | esls_led_arr_t
| Electronic Shelf Label Service led information data. More...
struct | esls_char_infor_t
| Electronic Shelf Label Service characteristic information. More...
struct | esls_evt_t
| Electronic Shelf Label Service event. More...
struct | esls_nvds_cb_t
| Electronic Shelf Label Service NVDS callback func. More...
struct | esls_init_t
| Electronic Shelf Label Service Init variable. More...
struct | esls_c_handles_t
| Handles on the connected peer device needed to interact with it. More...
struct | esls_c_led_infor_t
| Electronic Shelf Label LED infor type. More...
struct | esls_c_evt_t
| Electronic Shelf Label Client event. More...

## Typedefs
typedef uint8_t(* | ble_app_nvds_get_cb_t) (uint8_t tag, uint8_t *p_len, uint8_t *p_buf)
| Electronic Shelf Label Service NVDS callback func define. More...
typedef uint8_t(* | ble_app_nvds_put_cb_t) (uint8_t tag, uint8_t len, uint8_t *p_buf)
typedef uint8_t(* | ble_app_nvds_del_cb_t) (uint8_t tag)
typedef sdk_err_t(* | esls_evt_handler_t) (esls_evt_t *p_evt)
| Electronic Shelf Label Service event handler func define. More...
typedef bool(* | app_dev_reset_cbk_t) (uint8_t conn_idx, bool factory_rst)

## Functions
struct | __attribute__ ((packed))
| Electronic Shelf Label Service display information format. More...

## Variables
| esls_display_infor_t
| esls_key_material_t
| esls_display_cmd_t
| esls_led_cmd_t
| esls_ecp_cmd_t
| esls_tlv_format_t

## Detailed Description

## Typedef Documentation

## ◆ app_dev_reset_cbk_t

typedef bool(* app_dev_reset_cbk_t) (uint8_t conn_idx, bool factory_rst)

Definition at line 396 of file esls.h.

## ◆ ble_app_nvds_del_cb_t

typedef uint8_t(* ble_app_nvds_del_cb_t) (uint8_t tag)

Definition at line 384 of file esls.h.

## ◆ ble_app_nvds_get_cb_t

typedef uint8_t(* ble_app_nvds_get_cb_t) (uint8_t tag, uint8_t *p_len, uint8_t *p_buf)

Electronic Shelf Label Service NVDS callback func define.

Definition at line 382 of file esls.h.

## ◆ ble_app_nvds_put_cb_t

typedef uint8_t(* ble_app_nvds_put_cb_t) (uint8_t tag, uint8_t len, uint8_t *p_buf)

Definition at line 383 of file esls.h.

## ◆ esls_evt_handler_t

typedef sdk_err_t(* esls_evt_handler_t) (esls_evt_t *p_evt)

Electronic Shelf Label Service event handler func define.

Definition at line 395 of file esls.h.

## Function Documentation

## ◆ __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

Electronic Shelf Label Service display information format.

Electronic Shelf Label data format.

Electronic Shelf Label Service control Point format.

Electronic Shelf Label Service led control command data format.

Electronic Shelf Label Service display image command data format.

Electronic Shelf Label Key Material.

< The width of the display in pixels.

< The height of the display in pixels.

< ESL Service display type, ESL_DISP_TYPE_T.

< Electronic Shelf Label Service display index.

< Electronic Shelf Label Service image index.

< Time when the display changes state.

< a bit of 1 means led on (bit_on_period*2)ms; a bit of 0 means led off (bit_off_period*2)ms. There are max 40 bits periods to be present.

< Number of times to repeat, or time duration in increments of 1 second.

< Time when the led changes state.

< Electronic Shelf Label Service address id.

< Electronic Shelf Label Service command data struct.

The ESL Control Point characteristic command opcode.

The ESL Control Point characteristic command data, struct type esls_ecp_cmd_t.

Definition at line 1 of file esls.h.

## Variable Documentation

## ◆ esls_display_cmd_t

esls_display_cmd_t

Definition at line 330 of file esls.h.

## ◆ esls_display_infor_t

esls_display_infor_t

Definition at line 285 of file esls.h.

## ◆ esls_ecp_cmd_t

esls_ecp_cmd_t

Definition at line 363 of file esls.h.

## ◆ esls_key_material_t

esls_key_material_t

Definition at line 322 of file esls.h.

## ◆ esls_led_cmd_t

esls_led_cmd_t

Definition at line 351 of file esls.h.

## ◆ esls_tlv_format_t

esls_tlv_format_t

Definition at line 370 of file esls.h.